/****************************************************************************************

		ModelerDef.h

		Copyright (c)1990 - 1999 MetaCreations. All rights reserved.

		Author:	Jerome Bignon
		Date:	05/18/99

		Revision History

		when		who			what & why
		==========	==========	======================================================
		05/18/99	Jerome		Creation

*****************************************************************************************/
#ifndef __ModelerDEF__
#define __ModelerDEF__  

// Define the External Modeler CLSID
// {99E51BC1-707B-11d1-B20A-004095455A27}
#define R_CLSID_Modeler 0x99e51bc1,0x707b,0x11d1,0xb2,0xa,0x0,0x40,0x95,0x45,0x5a,0x27

// Define the COMTreePrim CLSID
// B63DF131-707B-11d1-B20A-004095455A27
#define R_CLSID_TreePrim 0xb63df131,0x707b,0x11d1,0xb2,0x0a,0x00,0x40,0x95,0x45,0x5a,0x27

// Define the ICOMTreePrim ID
// {F0A60E21-0F9C-11d3-AA03-004095455A27}
#define R_IID_ITreePrim 0xf0a60e21,0xf9c,0x11d3,0xaa,0x3,0x0,0x40,0x95,0x45,0x5a,0x27

// Define the ModelerView CLSID
// {B1621691-707B-11d1-B20A-004095455A27}
#define R_CLSID_ModelerView 0xb1621691,0x707b,0x11d1,0xb2,0xa,0x0,0x40,0x95,0x45,0x5a,0x27
#define R_IID_IModelerView 0xa0ec7861,0x12ac,0x11d3,0xaa,0x4,0x0,0x40,0x95,0x45,0x5a,0x27



#define kModelerID		'MODp'		// Class ID
#define kModeler 		134			// COMP ID
#define kModelerPrefs	144
#define kModelerView		135			// 'MODv'

#endif